Namespace
library
Image / Tag
consul:1.5.3
Content Digest
sha256:0e7b52eecffb7e58c2395849b3e966b31fb9fe907e2c47b4aa83bc94591db2cf
Details
Created

2020-04-24 04:31:11 UTC

Size

41.1 MB

Content Digest
Environment
CONSUL_VERSION

1.5.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:2f4fdbe0599cb5bbd0664b1cdad4997f428ce2495ae3eabf942129dc197d991c - 6.43% (2.64 MB)

[#001] sha256:3374db1f49fc2155d0d21f82a744d34851aa1e0e549d7e7f043e3106952a8c1e - 0.0% (1.23 KB)

[#002] sha256:0a332ea3adc7dfdbb16bf9023e1ab94df85adaad801c06931061d599296df37e - 93.57% (38.5 MB)

[#003] sha256:118c0e8dc76e675fdc5b57fe37ea1bf62e5a14688cbf471324d5df068ca27cc0 - 0.0% (142 Bytes)

[#004] sha256:a2482ee4cfa303bdd919ed1245d7cefb6db230d741d24e7d335ea89f6fac9bc1 - 0.0% (155 Bytes)

[#005] sha256:24266bee77a3f06e1448eda49f0b1a15ac0eae7bf313a82e55512d12b4b2b6e0 - 0.0% (1.67 KB)


History
2020-04-23 21:16:18 UTC

/bin/sh -c #(nop) ADD file:68d5786259963a2b97cf808d79de83cbd0281dfea284e1a401bc851a3585e1bd in /

2020-04-23 21:16:19 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-24 04:30:33 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-24 04:31:01 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.5.3

2020-04-24 04:31:02 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-24 04:31:02 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-24 04:31:08 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-24 04:31:08 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-24 04:31:09 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-24 04:31:09 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-24 04:31:10 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-24 04:31:10 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-24 04:31:10 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-24 04:31:10 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2020-04-24 04:31:11 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-24 04:31:11 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-04-24 14:17:48 UTC

Size

42.1 MB

Content Digest
Environment
CONSUL_VERSION

1.5.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:31603596830fc7e56753139f9c2c6bd3759e48a850659506ebfb885d1cf3aef5 - 6.28% (2.64 MB)

[#001] sha256:b5736994e7cab6cd3d6cfe3b41581b2555527763007bec69cc1113d851d39b16 - 0.0% (1.23 KB)

[#002] sha256:ca65ac92302c8ffb12f101409cde3cb51d6fb63c81c45654571ddc9aa14c78a4 - 93.72% (39.5 MB)

[#003] sha256:092243f303caaffbd447c3e0b8dcff85058cf781c413ba385d1ad952704b39bb - 0.0% (142 Bytes)

[#004] sha256:42b7b60d823d05f33b215454dea89a73917b44fbaa61575206facad48b2823dc - 0.0% (154 Bytes)

[#005] sha256:af1f8811b25f088d7639239a71940f3c4f983221ff92980ac6ac6c0ab5e4aca6 - 0.0% (1.66 KB)


History
2020-04-24 01:05:35 UTC

/bin/sh -c #(nop) ADD file:a0afd0b0db7f9ee9496186ead087ec00edd1386ea8c018557d15720053f7308e in /

2020-04-24 01:05:35 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-24 14:17:15 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-24 14:17:40 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.5.3

2020-04-24 14:17:40 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-24 14:17:41 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-24 14:17:45 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-24 14:17:46 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-24 14:17:47 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-24 14:17:47 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-24 14:17:47 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-24 14:17:47 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-24 14:17:47 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-24 14:17:47 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2020-04-24 14:17:48 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-24 14:17:48 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-04-23 16:54:55 UTC

Size

39.6 MB

Content Digest
Environment
CONSUL_VERSION

1.5.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:27da80392aebe463671b839837d59af1261218364b4261ceb2eca0f814075270 - 6.13% (2.43 MB)

[#001] sha256:828086b8d7d91f4c09cb0970444f1c9d4e21273a3c999ec514a666c74d92361d - 0.0% (1.25 KB)

[#002] sha256:1e5d7a670146edc486ef7717c5bc485a5fd43b1ef268b8573d83ce0d99eae508 - 93.86% (37.2 MB)

[#003] sha256:55d856f5478a381990258f8f0eccf2a569669ac03142d17ecaa855fe570b140a - 0.0% (174 Bytes)

[#004] sha256:19539467f60ea7c0deafae4c562165c8225b6046047b740a3d7446aa4005e322 - 0.0% (154 Bytes)

[#005] sha256:6a9ed0d4d8a34d9590b1e5c97972755278a3b19ee99303dcc4c46c36c87f7a98 - 0.0% (1.67 KB)


History
2020-04-23 15:51:44 UTC

/bin/sh -c #(nop) ADD file:7dd2657543fac7f63a125194d27bd38a8e472a3076831a2331c43a471794c210 in /

2020-04-23 15:51:45 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-23 16:53:13 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-23 16:54:25 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.5.3

2020-04-23 16:54:25 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-23 16:54:27 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-23 16:54:38 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-23 16:54:43 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-23 16:54:47 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-23 16:54:49 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-23 16:54:50 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-23 16:54:51 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-23 16:54:52 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-23 16:54:53 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2020-04-23 16:54:54 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-23 16:54:55 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-04-24 09:23:35 UTC

Size

39.8 MB

Content Digest
Environment
CONSUL_VERSION

1.5.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:941f399634ec37b35e6764d0e6cf350593652f06f76586d45ddfc0d77de7a701 - 6.46% (2.57 MB)

[#001] sha256:f253c4726e21ab12ddc6f1f8c0f7cc766afe44286638b8a3436f462b11704b2b - 0.0% (1.25 KB)

[#002] sha256:f0ccaaa96ac23a8d7d9a0f61c35c5fbc6be9df28059d154d33afd347178d8a79 - 93.54% (37.2 MB)

[#003] sha256:518734cbd4fac105bf52f1749a8f050a7e7a0918a8cb97648a2251c028143862 - 0.0% (173 Bytes)

[#004] sha256:9e460b3dfa0f279d35031514869daca6c021e57be1496c86b74bf256d6ccf774 - 0.0% (154 Bytes)

[#005] sha256:695f71e441fc67590d171b400754214617ab0ddc5825f4fb280cbc4e057b580d - 0.0% (1.66 KB)


History
2020-04-24 00:15:12 UTC

/bin/sh -c #(nop) ADD file:da3ddeca2212f561c1f428b662a1f1f1200e2d18a42bffb28a0322c235f06582 in /

2020-04-24 00:15:15 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-24 09:22:17 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-24 09:23:17 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.5.3

2020-04-24 09:23:17 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-24 09:23:19 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-24 09:23:26 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-24 09:23:28 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-24 09:23:30 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-24 09:23:31 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-24 09:23:31 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-24 09:23:32 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-24 09:23:33 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-24 09:23:34 UTC

/bin/sh -c #(nop) COPY file:1c5f16053db7ac80ca2606114b1597e5421edf31162ea24a1ae8b059f48426f0 in /usr/local/bin/docker-entrypoint.sh

2020-04-24 09:23:34 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-24 09:23:35 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]